Subject: Re: linux-next: manual merge of the v4l-dvb tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 1 Feb 2019 10:27:13 +1100

Hi all,

On Fri, 1 Feb 2019 10:22:33 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the v4l-dvb tree got a conflict in:
> 
>   drivers/media/platform/vim2m.c
> 
> between commit:
> 
>   240809ef6630 ("media: vim2m: only cancel work if it is for right context")
> 
> from Linus' tree and commit:
> 
>   b3e64e5b0778 ("media: vim2m: use per-file handler work queue")
> 
> from the v4l-dvb tree.
> 
> I fixed it up (I think - see below) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> diff --cc drivers/media/platform/vim2m.c
> index 89d9c4c21037,e31c14c7d37f..000000000000
> --- a/drivers/media/platform/vim2m.c
> +++ b/drivers/media/platform/vim2m.c
> @@@ -806,10 -904,7 +904,9 @@@ static void vim2m_stop_streaming(struc
>   	struct vb2_v4l2_buffer *vbuf;
>   	unsigned long flags;
>   
>  -	cancel_delayed_work_sync(&ctx->work_run);
>  +	if (v4l2_m2m_get_curr_priv(dev->m2m_dev) == ctx)
> - 		cancel_delayed_work_sync(&dev->work_run);
> ++		cancel_delayed_work_sync(&ctx->work_run);
>  +
>   	for (;;) {
>   		if (V4L2_TYPE_IS_OUTPUT(q->type))
>   			vbuf = v4l2_m2m_src_buf_remove(ctx->fh.m2m_ctx);

Well, that wasn't right, so instead I just effectively reverted the
commit from Linus' tree ...

-- 
Cheers,
Stephen Rothwell